Page MenuHomePhabricator

Decommission db2040
Closed, ResolvedPublic

Description

db2040 is fully ready to be decommissioned.

db2040

Decommission Checklist

START NON-INTERRUPPTABLE STEPS - please assign to @RobH for the non-interrupt steps

  • - disable puppet on host
  • - power down host
  • - update status in netbox (inventory for decom, planned for spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

END NON-INTERRUPPTABLE STEPS

  • - label del BBU as broken so it doesn't get re-used
  • - system disks wiped (by onsite) use hdparm for ssds and wipe for hdds
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2040
operations/dns : masterwmnet: Remove production entries db2037-db2041
operations/puppet : productionmariadb: Remove entries for db2037-db2041
operations/puppet : productionmariadb: Remove db2040 for decommission
operations/mediawiki-config : masterdb-eqiad,db-codfw.php: Remove db2040

Event Timeline

Marostegui triaged this task as Medium priority.May 22 2019, 6:01 AM
Marostegui created this task.
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Triage to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2019-05-22T06:01:36Z] <marostegui> Stop MySQL on db2040 - T224079

Marostegui updated the task description. (Show Details)May 22 2019, 6:04 AM

Change 511809 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2040

https://gerrit.wikimedia.org/r/511809

Mentioned in SAL (#wikimedia-operations) [2019-05-22T06:13:06Z] <marostegui> Remove db2040 from zarcillo and tendril - T224079

Change 511809 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2040

https://gerrit.wikimedia.org/r/511809

Mentioned in SAL (#wikimedia-operations) [2019-05-22T06:16:12Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2040 from config T224079 (duration: 00m 56s)

Marostegui updated the task description. (Show Details)May 22 2019, 6:16 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-22T06:17:21Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2040 from config T224079 (duration: 00m 55s)

Change 512089 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db2040 for decommission

https://gerrit.wikimedia.org/r/512089

Change 512089 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db2040 for decommission

https://gerrit.wikimedia.org/r/512089

Marostegui reassigned this task from Marostegui to RobH.May 23 2019, 5:07 AM
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added decommission, ops-codfw; removed Patch-For-Review, DBA.

This host is fully ready for DCOPs to take over and decommission

Restricted Application added a project: Operations. · View Herald TranscriptMay 23 2019, 5:08 AM
RobH moved this task from Backlog to Decommission on the ops-codfw board.Jun 12 2019, 1:10 PM

Change 539016 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove entries for db2037-db2041

https://gerrit.wikimedia.org/r/539016

Change 539017 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production entries db2037-db2041

https://gerrit.wikimedia.org/r/539017

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2040.codfw.wmnet

  • db2040.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 539016 merged by Marostegui:
[operations/puppet@production] mariadb: Remove entries for db2037-db2041

https://gerrit.wikimedia.org/r/539016

Change 539017 merged by Marostegui:
[operations/dns@master] wmnet: Remove production entries db2037-db2041

https://gerrit.wikimedia.org/r/539017

Marostegui reassigned this task from RobH to Papaul.Sep 25 2019, 5:27 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for @Papaul to decommission

papaul@asw-a-codfw# show | compare 
[edit interfaces interface-range vlan-private1-a-codfw]
-    member ge-3/0/27;
[edit interfaces interface-range disabled]
     member ge-5/0/32 { ... }
+    member ge-3/0/27;
[edit interfaces]
-   ge-3/0/27 {
-       description db2040;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 25 2019, 3:37 PM
Papaul updated the task description. (Show Details)Sep 30 2019, 8:17 PM

Change 539996 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2040

https://gerrit.wikimedia.org/r/539996

Change 539996 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2040

https://gerrit.wikimedia.org/r/539996

Papaul closed this task as Resolved.Oct 1 2019, 9:50 PM
Papaul updated the task description. (Show Details)

complete